using System;
using System.Reflection.Metadata;

namespace zadataktakmicenje1pt2
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string br1 = Console.ReadLine();
            string br2 = Console.ReadLine();
            string rezultat = String.Empty;
            int duzinabr1 = br1.Length;
            int duzindabr2 = br2.Length;
            int duzinakraceg = duzinabr1;
            string prefix = string.Empty;
            if (duzinabr1 > duzindabr2)
            {
                prefix = br1.Substring(0, duzinabr1 - duzindabr2);
                duzinakraceg = duzindabr2;
                br1 = br1.Substring(duzinabr1 - duzindabr2 );
            }
            else if (duzinabr1 < duzindabr2)
            {
                prefix = br2.Substring(0, duzindabr2 - duzinabr1);
                duzinakraceg = duzinabr1;
                br2 = br2.Substring(duzindabr2 - duzinabr1);
            }

            for(int i = duzinakraceg-1; i >= 0 ; i--)
            {
                int prvacifra = (int) Char.GetNumericValue(br1[i]);
                int drugacifra = (int)Char.GetNumericValue(br2[i]);
                if (prvacifra > drugacifra)
                {
                    rezultat =  br1[i]+rezultat;
                }
                else if (prvacifra < drugacifra)
                {
                    rezultat = br2[i]+ rezultat;
                }
                else
                {
                    rezultat = Convert.ToString(br2[i]) + Convert.ToString(br1[i])+ rezultat;
                }
            }
            Console.WriteLine(prefix+rezultat);
        }
    }
}